Record runner observations
curl --request POST \
--url https://api.firedrill.run/v1/runs/{runId}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attemptId": "<string>",
"leaseToken": "<string>",
"events": [
{
"id": "<string>",
"kind": "<string>",
"payload": "<unknown>",
"occurredAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.firedrill.run/v1/runs/{runId}/events"
payload = {
"attemptId": "<string>",
"leaseToken": "<string>",
"events": [
{
"id": "<string>",
"kind": "<string>",
"payload": "<unknown>",
"occurredAt": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attemptId: '<string>',
leaseToken: '<string>',
events: [
{
id: '<string>',
kind: '<string>',
payload: '<unknown>',
occurredAt: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.firedrill.run/v1/runs/{runId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/runs/{runId}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attemptId' => '<string>',
'leaseToken' => '<string>',
'events' => [
[
'id' => '<string>',
'kind' => '<string>',
'payload' => '<unknown>',
'occurredAt' => '2023-11-07T05:31:56Z'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/runs/{runId}/events"
payload := strings.NewReader("{\n \"attemptId\": \"<string>\",\n \"leaseToken\": \"<string>\",\n \"events\": [\n {\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"payload\": \"<unknown>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.firedrill.run/v1/runs/{runId}/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attemptId\": \"<string>\",\n \"leaseToken\": \"<string>\",\n \"events\": [\n {\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"payload\": \"<unknown>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/runs/{runId}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attemptId\": \"<string>\",\n \"leaseToken\": \"<string>\",\n \"events\": [\n {\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"payload\": \"<unknown>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"accepted": 1,
"cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Record runner observations
Requires runs:execute and the current lease. Stable event IDs reconcile exact retries; different content for an existing ID conflicts. Service/control event identities are reserved, and the service assigns producer provenance.
Record runner observations
curl --request POST \
--url https://api.firedrill.run/v1/runs/{runId}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attemptId": "<string>",
"leaseToken": "<string>",
"events": [
{
"id": "<string>",
"kind": "<string>",
"payload": "<unknown>",
"occurredAt": "2023-11-07T05:31:56Z"
}
]
}
'import requests
url = "https://api.firedrill.run/v1/runs/{runId}/events"
payload = {
"attemptId": "<string>",
"leaseToken": "<string>",
"events": [
{
"id": "<string>",
"kind": "<string>",
"payload": "<unknown>",
"occurredAt": "2023-11-07T05:31:56Z"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
attemptId: '<string>',
leaseToken: '<string>',
events: [
{
id: '<string>',
kind: '<string>',
payload: '<unknown>',
occurredAt: '2023-11-07T05:31:56Z'
}
]
})
};
fetch('https://api.firedrill.run/v1/runs/{runId}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.firedrill.run/v1/runs/{runId}/events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'attemptId' => '<string>',
'leaseToken' => '<string>',
'events' => [
[
'id' => '<string>',
'kind' => '<string>',
'payload' => '<unknown>',
'occurredAt' => '2023-11-07T05:31:56Z'
]
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.firedrill.run/v1/runs/{runId}/events"
payload := strings.NewReader("{\n \"attemptId\": \"<string>\",\n \"leaseToken\": \"<string>\",\n \"events\": [\n {\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"payload\": \"<unknown>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.firedrill.run/v1/runs/{runId}/events")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"attemptId\": \"<string>\",\n \"leaseToken\": \"<string>\",\n \"events\": [\n {\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"payload\": \"<unknown>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.firedrill.run/v1/runs/{runId}/events")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"attemptId\": \"<string>\",\n \"leaseToken\": \"<string>\",\n \"events\": [\n {\n \"id\": \"<string>\",\n \"kind\": \"<string>\",\n \"payload\": \"<unknown>\",\n \"occurredAt\": \"2023-11-07T05:31:56Z\"\n }\n ]\n}"
response = http.request(request)
puts response.read_body{
"accepted": 1,
"cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"repair": "<string>",
"requestId": "<string>",
"details": "<string>",
"validation": {
"issues": [
{
"path": [
"<string>"
],
"code": "<string>",
"message": "<string>",
"pathTruncated": true
}
],
"totalIssues": 123,
"omittedIssues": 123
}
}
}Authorizations
Opaque Firedrill interactive or scoped machine credential. The CLI handles human-approved login; CI stores its scoped credential as FIREDRILL_TOKEN. Capabilities and project/environment ownership are rechecked at use.
Path Parameters
Required string length:
1 - 160Body
application/json